#
# spec file for package selinux-policy
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           selinux-policy
Version:        2.20081210
Release:        12.13.1
Url:            http://oss.tresys.com/projects/refpolicy/
License:        GPLv2
Group:          System/Base
Summary:        SELinux policies
Source:         refpolicy-%{version}.tar.bz2
Source1:        config
Patch0:         %{name}-build_conf.patch
# PATCH-FIX-UPSTREAM /dev/* files don't have right context (bnc#635304)
Patch1:         selinux-policy-devtmpfs.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  checkpolicy libsepol-devel m4 policycoreutils python python-xml
BuildArch:      noarch
# default is refpolicy-standard (mentioned in config)
Requires:       selinux-policy-refpolicy-standard

%description
SELinux policy

%package refpolicy-standard
License:        GPLv2
Group:          System/Base
Summary:        SELinux policy - Tresys Standard Refpolicy
Requires:       selinux-policy

%description refpolicy-standard
SELinux policy - based on reference policy from Tresys - standard

%package refpolicy-mcs
License:        GPLv2
Group:          System/Base
Summary:        SELinux policy - Tresys MCS Refpolicy
Requires:       selinux-policy

%description refpolicy-mcs
SELinux policy - based on reference policy from Tresys - mcs

%package refpolicy-mls
License:        GPLv2
Group:          System/Base
Summary:        SELinux policy - Tresys MLS Refpolicy
Requires:       selinux-policy

%description refpolicy-mls
SELinux policy - based on reference policy from Tresys - mls

%prep
%setup -q -c -n selinux-policy -T
tar xfj %{SOURCE0} && mv refpolicy refpolicy-standard
tar xfj %{SOURCE0} && mv refpolicy refpolicy-mcs
tar xfj %{SOURCE0} && mv refpolicy refpolicy-mls
%patch0
%patch1

%build
for i in standard mcs mls; do
  cd refpolicy-$i
  make conf
  make policy
  cd ..
done

%install
for i in standard mcs mls; do
  cd refpolicy-$i
  make DESTDIR=$RPM_BUILD_ROOT install
  sed -i "s:^# edit $RPM_BUILD_ROOT:# edit :" $RPM_BUILD_ROOT%{_sysconfdir}/selinux/refpolicy-$i/contexts/files/file_contexts.homedirs
  cd ..
done
install -m 644 %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/selinux/

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%dir %{_sysconfdir}/selinux
%config %{_sysconfdir}/selinux/config

%files refpolicy-standard
%defattr(-,root,root)
%doc refpolicy-standard/{build.conf,Changelog,config,COPYING,doc,INSTALL,Makefile,man,policy,README,Rules.modular,Rules.monolithic,support,VERSION}
%dir %{_sysconfdir}/selinux/refpolicy-standard
%{_sysconfdir}/selinux/refpolicy-standard/*

%files refpolicy-mcs
%defattr(-,root,root)
%doc refpolicy-mcs/{build.conf,Changelog,config,COPYING,doc,INSTALL,Makefile,man,policy,README,Rules.modular,Rules.monolithic,support,VERSION} 
%dir %{_sysconfdir}/selinux/refpolicy-mcs
%{_sysconfdir}/selinux/refpolicy-mcs/*

%files refpolicy-mls
%defattr(-,root,root)
%doc refpolicy-mls/{build.conf,Changelog,config,COPYING,doc,INSTALL,Makefile,man,policy,README,Rules.modular,Rules.monolithic,support,VERSION}
%dir %{_sysconfdir}/selinux/refpolicy-mls
%{_sysconfdir}/selinux/refpolicy-mls/*

%changelog
* Fri Mar 18 2011 vcizek@novell.com
- /dev/* files don't have the right security context (bnc#635304)
* Sun Apr 11 2010 justinmattock@gmail.com
- Adjust selinux-policy.spec so that the policy
  source tree is put in /usr/share/doc/packages/selinux-*
  so users can build the policy [bnc#582404]
* Wed Apr  7 2010 thomas@novell.com
- fixed fileperms of /etc/selinux/config to be 644 to allow
  libselinux to read from it (bnc#582399)
  this is also the default file mode in fedora 12
* Fri Jun 26 2009 thomas@novell.com
- added config file for /etc/selinux/
* Wed Jan 14 2009 prusnak@suse.cz
- updated to version 2008.12.10
  * Fix consistency of audioentropy and iscsi module naming.
  * Debian file context fix for xen from Russell Coker.
  * Xserver MLS fix from Eamon Walsh.
  * Add omapi port for dhcpcd.
  * Deprecate per-role templates and rolemap support.
  * Implement user-based access control for use as role separations.
  * Move shared library calls from individual modules to the domain module.
  * Enable open permission checks policy capability.
  * Remove hierarchy from portage module as it is not a good example of hieararchy.
  * Remove enableaudit target from modular build as semodule -DB supplants it.
  * Added modules:
  - milter (Paul Howarth)
* Thu Oct 16 2008 prusnak@suse.cz
- updated to version 2008.10.14
  * Debian update for NetworkManager/wpa_supplicant from Martin Orr.
  * Logrotate and Bind updates from Vaclav Ovsik.
  * Init script file and domain support.
  * Glibc 2.7 fix from Vaclav Ovsik.
  * Samba/winbind update from Mike Edenfield.
  * Policy size optimization with a non-security file attribute from James Carter.
  * Database labeled networking update from KaiGai Kohei.
  * Several misc changes from the Fedora policy, cherry picked by David Hardeman.
  * Large whitespace fix from Dominick Grift.
  * Pam_mount fix for local login from Stefan Schulze Frielinghaus.
  * Issuing commands to upstart is over a datagram socket, not the initctl named pipe.
  * Updated init_telinit() to match.
  * Added modules:
  - cyphesis (Dan Walsh)
  - memcached (Dan Walsh)
  - oident (Dominick Grift)
  - w3c (Dan Walsh)
* Tue Jul 22 2008 prusnak@suse.cz
- initial version 2008.07.02 from tresys
